<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AreaReference (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AreaReference (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":9,"i6":9,"i7":9,"i8":10,"i9":10,"i10":9,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/AreaReference.html" target="_top">Frames</a></li>
        <li><a href="AreaReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class AreaReference" class="title">Class AreaReference</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.AreaReference</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">AreaReference</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#AreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.SpreadsheetVersion-">AreaReference</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>
                                    <div class="block">Creates an area ref from a pair of Cell References.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#AreaReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">AreaReference</a></span>(java.lang.String&nbsp;reference,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>
                                    <div class="block">Create an area ref from a string representation.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#formatAsString--">formatAsString</a></span>()</code>
                                    <div class="block">Returns a text representation of this area reference.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#generateContiguous-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-">generateContiguous</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                    java.lang.String&nbsp;reference)</code>
                                    <div class="block">Takes a non-contiguous area reference, and returns an array of
                                        contiguous area references
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#getAllReferencedCells--">getAllReferencedCells</a></span>()</code>
                                    <div class="block">Returns a reference to every cell covered by this area</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#getFirstCell--">getFirstCell</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#getLastCell--">getLastCell</a></span>()</code>
                                    <div class="block">Note - if this area reference refers to a single cell, the return
                                        value of this method will
                                        be identical to that of <tt>getFirstCell()</tt></div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeColumn-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeColumn</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                    java.lang.String&nbsp;start,
                                    java.lang.String&nbsp;end)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeRow-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeRow</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                    java.lang.String&nbsp;start,
                                    java.lang.String&nbsp;end)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#isContiguous-java.lang.String-">isContiguous</a></span>(java.lang.String&nbsp;reference)</code>
                                    <div class="block">Is the reference for a contiguous (i.e.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#isSingleCell--">isSingleCell</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#isWholeColumnReference--">isWholeColumnReference</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#isWholeColumnReference-org.apache.poi.ss.SpreadsheetVersion-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">isWholeColumnReference</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight)</code>
                                    <div class="block">Is the reference for a whole-column reference,
                                        such as C:C or D:G ?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="AreaReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AreaReference</h4>
                                <pre>public&nbsp;AreaReference(java.lang.String&nbsp;reference,
                     <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                                <div class="block">Create an area ref from a string representation. Sheet names
                                    containing special characters should be
                                    delimited and escaped as per normal syntax rules for formulas.<br>
                                    The area reference must be contiguous (i.e. represent a single rectangle, not a
                                    union of rectangles)
                                </div>
                            </li>
                        </ul>
                        <a name="AreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AreaReference</h4>
                                <pre>public&nbsp;AreaReference(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                     <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight,
                     <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</pre>
                                <div class="block">Creates an area ref from a pair of Cell References.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isContiguous-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isContiguous</h4>
                                <pre>public static&nbsp;boolean&nbsp;isContiguous(java.lang.String&nbsp;reference)</pre>
                                <div class="block">Is the reference for a contiguous (i.e.
                                    unbroken) area, or is it made up of
                                    several different parts?
                                    (If it is, you will need to call
                                    <a href="../../../../../org/apache/poi/ss/util/AreaReference.html#generateContiguous-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-"><code>generateContiguous(SpreadsheetVersion,
                                        String)</code></a>)
                                </div>
                            </li>
                        </ul>
                        <a name="getWholeRow-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWholeRow</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;getWholeRow(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                        java.lang.String&nbsp;start,
                                        java.lang.String&nbsp;end)</pre>
                            </li>
                        </ul>
                        <a name="getWholeColumn-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWholeColumn</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;getWholeColumn(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                           java.lang.String&nbsp;start,
                                           java.lang.String&nbsp;end)</pre>
                            </li>
                        </ul>
                        <a name="isWholeColumnReference-org.apache.poi.ss.SpreadsheetVersion-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isWholeColumnReference</h4>
                                <pre>public static&nbsp;boolean&nbsp;isWholeColumnReference(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                             <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                             <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight)</pre>
                                <div class="block">Is the reference for a whole-column reference,
                                    such as C:C or D:G ?
                                </div>
                            </li>
                        </ul>
                        <a name="isWholeColumnReference--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isWholeColumnReference</h4>
                                <pre>public&nbsp;boolean&nbsp;isWholeColumnReference()</pre>
                            </li>
                        </ul>
                        <a name="generateContiguous-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>generateContiguous</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>[]&nbsp;generateContiguous(<a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                                 java.lang.String&nbsp;reference)</pre>
                                <div class="block">Takes a non-contiguous area reference, and returns an array of
                                    contiguous area references
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of contiguous area references.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSingleCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSingleCell</h4>
                                <pre>public&nbsp;boolean&nbsp;isSingleCell()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>false</code> if this area reference involves more than one cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;getFirstCell()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the first cell reference which defines this area. Usually this cell is in the
                                        upper
                                        left corner of the area (but this is not a requirement).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;getLastCell()</pre>
                                <div class="block">Note - if this area reference refers to a single cell, the return
                                    value of this method will
                                    be identical to that of <tt>getFirstCell()</tt></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the second cell reference which defines this area. For multi-cell areas, this is
                                        cell diagonally opposite the 'first cell'. Usually this cell is in the lower
                                        right corner
                                        of the area (but this is not a requirement).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAllReferencedCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAllReferencedCells</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                    title="class in org.apache.poi.ss.util">CellReference</a>[]&nbsp;getAllReferencedCells()</pre>
                                <div class="block">Returns a reference to every cell covered by this area</div>
                            </li>
                        </ul>
                        <a name="formatAsString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;formatAsString()</pre>
                                <div class="block">Returns a text representation of this area reference.
                                    <p>
                                        Example return values:
                                    <table border="0" cellpadding="1" cellspacing="0" summary="Example return values">
                                        <tr>
                                            <th align='left'>Result</th>
                                            <th align='left'>Comment</th>
                                        </tr>
                                        <tr>
                                            <td>A1:A1</td>
                                            <td>Single cell area reference without sheet</td>
                                        </tr>
                                        <tr>
                                            <td>A1:$C$1</td>
                                            <td>Multi-cell area reference without sheet</td>
                                        </tr>
                                        <tr>
                                            <td>Sheet1!A$1:B4</td>
                                            <td>Standard sheet name</td>
                                        </tr>
                                        <tr>
                                            <td>'O''Brien''s Sales'!B5:C6'&nbsp;</td>
                                            <td>Sheet name with special characters</td>
                                        </tr>
                                    </table>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text representation of this area reference as it would appear in a
                                        formula.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/AreaReference.html" target="_top">Frames</a></li>
        <li><a href="AreaReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
